From: Sophie Brun <sophie@offensive-security.com>
Date: Tue, 14 Jan 2020 08:56:22 +0100
Subject: Remove pip usage

Forwarded: not-needed
---
 Fern-Wifi-Cracker/execute.py | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/Fern-Wifi-Cracker/execute.py b/Fern-Wifi-Cracker/execute.py
index 084ea4b..3094ed4 100644
--- a/Fern-Wifi-Cracker/execute.py
+++ b/Fern-Wifi-Cracker/execute.py
@@ -15,9 +15,10 @@ def install_prerequsites():
         try:
             importlib.import_module(name)
         except ModuleNotFoundError:
-            print("Installing {0}, please wait...\n".format(name))
-            print("------------------------------------\n")
-            os.system("pip3 install {0}".format(modules[name]))
+            #don't install dependencies with pip
+            print("Missing module:\n".format(name))
+            print("use apt install to install it\n")
+#            os.system("pip3 install {0}".format(modules[name]))
 
 
 if sys.version_info.major <= 2:
@@ -34,7 +35,6 @@ if sys.version_info.major <= 2:
     finally:
         sys.exit(-1)
 
-
 install_prerequsites()
 
 
